org.apache.tinkerpop.gremlin.process.traversal.step.branch

## Class OptionalTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.branch.OptionalTest
      - - org.apache.tinkerpop.gremlin.process.traversal.step.branch.OptionalTest.Traversals

- Enclosing class:
    OptionalTest

      public static class OptionalTest.Traversals
      extends OptionalTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.branch.OptionalTest

      `OptionalTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<Vertex,Path>` | `get_g_V_hasLabelXpersonX_optionalXoutXknowsX_optionalXoutXcreatedXXX_path()`
    `Traversal<Vertex,Path>` | `get_g_V_optionalXout_optionalXoutXX_path()`
    `Traversal<Vertex,Vertex>` | `get_g_VX2X_optionalXinXknowsXX(Object v2Id)`
    `Traversal<Vertex,Vertex>` | `get_g_VX2X_optionalXoutXknowsXX(Object v2Id)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.branch.OptionalTest

      `g_V_hasLabelXpersonX_optionalXoutXknowsX_optionalXoutXcreatedXXX_path, g_V_optionalXout_optionalXoutXX_path, g_VX2X_optionalXinXknowsXX, g_VX2X_optionalXoutXknowsXX`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRandomCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

  - ### Method Detail

    - #### get_g_VX2X_optionalXoutXknowsXX

          public Traversal<Vertex,Vertex> get_g_VX2X_optionalXoutXknowsXX(Object v2Id)

      Specified by:
        `get_g_VX2X_optionalXoutXknowsXX` in class `OptionalTest`

    - #### get_g_VX2X_optionalXinXknowsXX

          public Traversal<Vertex,Vertex> get_g_VX2X_optionalXinXknowsXX(Object v2Id)

      Specified by:
        `get_g_VX2X_optionalXinXknowsXX` in class `OptionalTest`

    - #### get_g_V_hasLabelXpersonX_optionalXoutXknowsX_optionalXoutXcreatedXXX_path

          public Traversal<Vertex,Path> get_g_V_hasLabelXpersonX_optionalXoutXknowsX_optionalXoutXcreatedXXX_path()

      Specified by:
        `get_g_V_hasLabelXpersonX_optionalXoutXknowsX_optionalXoutXcreatedXXX_path` in class `OptionalTest`

    - #### get_g_V_optionalXout_optionalXoutXX_path

          public Traversal<Vertex,Path> get_g_V_optionalXout_optionalXoutXX_path()

      Specified by:
        `get_g_V_optionalXout_optionalXoutXX_path` in class `OptionalTest`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.